BRISK (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.features2d

## Class BRISK

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.BRISK

-     public class BRISK
      extends Feature2D

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BRISK(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BRISK` | `__fromPtr__(long addr)`
    `static BRISK` | `create()`
    `static BRISK` | `create(int thresh, int octaves, float patternScale)`
    `static BRISK` | `create(int thresh, int octaves, MatOfFloat radiusList, MatOfInt numberList)`
    `static BRISK` | `create(int thresh, int octaves, MatOfFloat radiusList, MatOfInt numberList, float dMax, float dMin, MatOfInt indexChange)`
    `static BRISK` | `create(MatOfFloat radiusList, MatOfInt numberList)`
    `static BRISK` | `create(MatOfFloat radiusList, MatOfInt numberList, float dMax, float dMin, MatOfInt indexChange)`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BRISK

          protected BRISK(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BRISK __fromPtr__(long addr)

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax,
                                     float dMin,
                                     MatOfInt indexChange)

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     MatOfFloat radiusList,
                                     MatOfInt numberList)

    - #### create

          public static BRISK create(int thresh,
                                     int octaves,
                                     float patternScale)

    - #### create

          public static BRISK create()

    - #### create

          public static BRISK create(MatOfFloat radiusList,
                                     MatOfInt numberList,
                                     float dMax,
                                     float dMin,
                                     MatOfInt indexChange)

    - #### create

          public static BRISK create(MatOfFloat radiusList,
                                     MatOfInt numberList)

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Overrides:
        `getDefaultName` in class `Feature2D`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown